org.apache.fop.render.intermediate

## Class ArcToBezierCurveTransformer

- java.lang.Object
- - org.apache.fop.render.intermediate.ArcToBezierCurveTransformer

    public class ArcToBezierCurveTransformer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ArcToBezierCurveTransformer(BezierCurvePainter bezierCurvePainter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `arcTo(double startAngle, double endAngle, int cx, int cy, int width, int height)` Draws an arc on the ellipse centered at (cx, cy) with width width and height height from start angle startAngle (with respect to the x-axis counter-clockwise) to the end angle endAngle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArcToBezierCurveTransformer

    public ArcToBezierCurveTransformer(BezierCurvePainter bezierCurvePainter)

### Method Detail

#### arcTo

    public void arcTo(double startAngle,
                      double endAngle,
                      int cx,
                      int cy,
                      int width,
                      int height)
               throws IOException

Draws an arc on the ellipse centered at (cx, cy) with width width and height height from start angle startAngle (with respect to the x-axis counter-clockwise) to the end angle endAngle. The ellipses major axis are assumed to coincide with the coordinate axis. The current position MUST coincide with the starting position on the ellipse.

Parameters:
  `startAngle` - the start angle
  `endAngle` - the end angle
  `cx` - the x coordinate of the ellipse center
  `cy` - the y coordinate of the ellipse center
  `width` - the extent of the ellipse in the x direction
  `height` - the extent of the ellipse in the y direction
Throws:
  `IOException` - if an I/O error occurs